Preview: these APIs are still being designed and aren't available yet.
Skip to Content
UpskyDocs
API reference

Create a site

Creates a new site.

POST
/hosting/sites

Creates a new site.

Authorization

apiKey
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
name*string
framework*string

Response Body

The new site.

application/json
  1. response
id*string
name*string
framework*string
Example Request
curl -X POST 'https://api.upsky.dev/v1/hosting/sites' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "framework": "nextjs"}'
Example Response
{  "id": "string",  "name": "string",  "framework": "string"}